Core - Bug # 55557

Status: Resolved Priority: Should have
Author: Benjamin Mack Category: felogin
Created: 2014-02-01 Assigned To: Benjamin Mack
Updated: 2014-03-03 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity:

Is Regression: No

Sprint Focus:

Subject: Frontend Login not added to P143 anymore

Description

As felogin has no dependency for CSS Styled Content
it registers itself via
ExtensionManagementUtility::addTypoScript()

and does not hook in after css_styled_content, because
CSS styled content itself hasn't been initialized at that
time. Thus, felogin needs to have a dependency on
css_styled_content in order to still work as before.

Additionally, some unnecessary TypoScript code
was removed / cleaned up at the same time.

How to reproduce:

Add a login CE and you'll get a yellow error
message. Apply the patch, and the form will
show up (you need to uninstall / install an
extension first in order to have the dependecy
resolving take place).

Releases: 6.2

Related issues:
related to Core - Bug # 55649: Unable to install TYPO3 (missing css_styled_co...

Resolved 2014-02-04

Associated revisions

Revision 373a90b8 - 2014-02-04 02:33 - Benjamin Mack

[BUGFIX] Frontend Login not added to CSC anymore

As felogin has no dependency for CSS Styled Content
it registers itself via
ExtensionManagementUtility::addTypoScript()

and does not hook in after css_styled_content, because
CSS styled content itself hasn't been initialized at that
time. Thus, felogin needs to have a dependency on
css_styled_content in order to still work as before.

Additionally, some unnecessary TypoScript code
was removed / cleaned up at the same time.
How to reproduce:

Add a login CE and you'll get a yellow error
message. Apply the patch, and the form will
show up (you need to uninstall / install an
extension first in order to have the dependecy
resolving take place).

Releases: 6.2

Resolves: #55557

Change-Id: 181e590038c10e793538419523ba37d3b29700b48
Reviewed-on: https://review.typo3.org/27233

Reviewed-by: Christian Kuhn
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Stefan Neufeind
Tested-by: Stefan Neufeind

Revision 8b9b9a68 - 2014-02-04 11:41 - Ernesto Baschny

Revert "[BUGFIX] Frontend Login not added to CSC anymore"

This reverts commit 373a90b8600e37c0c70d3b0771d18385eca3f961

Benni is working on a better solution to the problem.

Related: #55557
Change-Id: 1749ea9beb3879d7503294a51107a4a3855f0105e
Reviewed-on: https://review.typo3.org/27319

Reviewed-by: Ernesto Baschny
Tested-by: Ernesto Baschny

Revision 3ce53655 - 2014-03-03 20:17 - Benjamin Mack

[TASK] Make TS content templates more flexible

If an extension used static content ID 43 (content default),
it also added itself (during each runtime of ext_localconf.php)
to all available content blocks.

The original way is problematic as an extension that
provides content templates may be included after

an extension that wants to add itself after all content
templates.

This is now more confusing as the package manager
resolves the ordering of extensions and now,

CSS Styled Content gets loaded after felogin and
indexed_search.

To resolve this problem completely, the additional
TypoScript for each "contentRenderingTemplate",

a TS template that provides default content renderings,
is added to one global default TypoScript and is only
https://review.typo3.org/27233
https://review.typo3.org/27319

merged at the TemplateService class.

Therefore the extension loading ordering does not

matter anymore.

Resolves: #55942

Resolves: #55174

Resolves: #55557

Releases: 6.2

Change-Id: I1d0c983bf96a3a76fde2183c57a17066ef8fd4acs
Reviewed-on: https://review.typo3.org/27587

Reviewed-by: Stefan Neufeind
Tested-by: Stefan Neufeind

History

#1 - 2014-02-01 16:04 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/27233

#2 - 2014-02-04 03:30 - Benjamin Mack
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:373a90b8600e37c0c70d3b0771d18385eca3f961.

#3 - 2014-02-04 11:41 - Ernesto Baschny

- Status changed from Resolved to Accepted

Benni has some new ideas on how to solve this differently.

#4 - 2014-02-04 11:44 - Ernesto Baschny

FYI: reverted in https://review.typo3.org/#/c/27319/

#5 - 2014-02-12 18:26 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27587

#6 - 2014-02-14 17:35 - Gerrit Code Review
Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/27587

#7 - 2014-02-17 16:31 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27587

#8 - 2014-03-03 20:14 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27587

#9 - 2014-03-03 20:30 - Benjamin Mack

- Status changed from Under Review to Resolved

Applied in changeset commit:3ce53655a3739dadd732556e1902e7686ef59260.
